Attribute VB_Name = "Util"
Public Enum ReturnValue
   RV_OK = 1&
   RV_NON = 0&
   RV_ERR_DBOPEN = -1&
   RV_ERR_DBQUERY = -2&
End Enum

Public Enum eState
    stAjout = -1&
    stBD = 0&
    stModif = 1&
    stSuppr = 2&
    stCancel = 3&
End Enum

Public Enum eTYPE
    typeRando = 0&
    typeCoordo = 1&
    typeEquipe = 2&
End Enum
Public Const sngRando  As Single = 25
Public Const sngCoordo As Single = 25
Public Const sngEquipe As Single = 50

Public Const fMonetaire        As String = "Currency"
Public Const fDate             As String = "Short Date"

Public Const strNouveauUnSel   As String = "Nouveau:"
Public Const strAjoutUnSel     As String = "Ajout:"
Public Const strModifUnSel     As String = "Modif:"
Public Const strBDUnSel        As String = "BD:"
Public Const strEnCours        As String = "En cours:"

Public Const strModifSel       As String = "Modif -->"
Public Const strNouveauSel     As String = "Nouveau -->"
Public Const strCboChoix       As String = "<Faire un choix>"


'COULEUR
Public Const conSelColor As Long = &HFFFFFF
Public Const conUnSelColor As Long = &H0&

Public Const conBGColor As Long = &HF0CAA6
Public change As Boolean
Public Sub SelectMM(ctl As Control)
    If (ctl.ForeColor <> conSelColor) Then
        ctl.ForeColor = conSelColor
        change = True
    End If
End Sub

Public Sub ChangeFont(fnt As Object)
    fnt.Bold = False
    fnt.Italic = True
    fnt.Name = "Garamond"
    fnt.Size = 12
End Sub

Public Sub FormOpen(frmForm As Form, Optional intStyle As Integer = 0)
    Load frmForm
    frmForm.Show intStyle
End Sub

Public Function lngCboSearch(cbo As ComboBox, no As Long) As Long
    Dim lngIndex As Long
    For lngIndex = 0& To cbo.ListCount - 1&
        If cbo.ItemData(lngIndex) = no Then
            lngCboSearch = lngIndex
            Exit Function
        Else
            lngCboSearch = -1&
        End If
    Next lngIndex
End Function

Public Function TriGrid(grid As MSHFlexGrid, lngStartRow As Long, lngCle As Long)
    Dim strArray As String
    Dim strTmpItem As String
    Dim strMin As String
    
    Dim lngIndex As Long
    Dim lngTmpIndex As Long
    Dim lngMin As Long
    Dim lngCol As Long
    
    For lngIndex = lngStartRow To grid.Rows - 2&
        strMin = grid.TextMatrix(lngIndex, lngCle)
        lngMin = lngIndex
                
        For lngTmpIndex = lngIndex + 1& To grid.Rows - 1
            strTmpItem = grid.TextMatrix(lngTmpIndex, lngCle)
            If (StrComp(strTmpItem, strMin) = -1&) Then
                strMin = strTmpItem
                lngMin = lngTmpIndex
            End If
        Next lngTmpIndex
            
        If (lngMin <> lngIndex) Then
            For lngCol = 0& To grid.Cols - 1&
                strArray = grid.TextMatrix(lngIndex, lngCol)
                grid.TextMatrix(lngIndex, lngCol) = grid.TextMatrix(lngMin, lngCol)
                grid.TextMatrix(lngMin, lngCol) = strArray
            Next lngCol
        End If
        
    Next lngIndex
End Function

Public Function fTextMon(Optional myText As String = "") As String
    If (IsNull(myText) Or myText = "") Then
        fTextMon = Format$(0, fMonetaire)
    Else
        fTextMon = Format$(CCur(myText), fMonetaire)
    End If
End Function
Public Function bolDoublonGrid(ByRef grid As MSHFlexGrid, lngTrouve As Long, lngPasCherche As Long, lngCol As Long) As Boolean
    Dim lngRow As Long
    Dim lngCatGrid As Long
    Dim strMatrix As String
    
    bolDoublonGrid = False
    For lngRow = 1& To grid.Rows - 1&
        If (lngRow <> lngPasCherche) Then
            strMatrix = grid.TextMatrix(lngRow, lngCol)
            If (strMatrix <> "") Then
                lngCatGrid = CLng(strMatrix)
                If (lngCatGrid = lngTrouve) Then
                    bolDoublonGrid = True
                    Exit For
                End If
            End If
        End If
    Next lngRow
End Function


Public Sub ModifState(grid As MSHFlexGrid, ByVal str As String, ByVal lngRow As Long, ByVal lngCol As Long)
    If (str <> "0" And str <> "") Then
        Select Case grid.TextMatrix(lngRow, lngCol)
            Case stSuppr:   grid.TextMatrix(lngRow, lngCol) = CStr(stModif)
            Case stBD:      grid.TextMatrix(lngRow, lngCol) = CStr(stModif)
            Case stCancel:  grid.TextMatrix(lngRow, lngCol) = CStr(stAjout)
        End Select
    Else
        Select Case grid.TextMatrix(lngRow, lngCol)
            Case stAjout: grid.TextMatrix(lngRow, lngCol) = CStr(stCancel)
            Case stModif: grid.TextMatrix(lngRow, lngCol) = CStr(stSuppr)
            Case stBD:    grid.TextMatrix(lngRow, lngCol) = CStr(stSuppr)
        End Select
    End If
End Sub

Public Function lngVerifPresenceCat(lngCat As Long, grid As MSHFlexGrid, lngRow As Long, lngStart As Long, Optional lngStep As Long = 1, Optional lngEnd As Long = -1)
    lngVerifPresenceCat = -1
    If lngEnd = -1 Then lngEnd = grid.Cols
    Dim lngIndex As Long
    For lngIndex = lngStart To lngEnd Step lngStep
        If (grid.TextMatrix(lngRow, lngIndex) <> "") Then
            If CLng(grid.TextMatrix(lngRow, lngIndex)) = lngCat Then
                lngVerifPresenceCat = lngCol
                Exit For
            End If
        End If
    Next lngIndex
End Function

Public Sub AjoutDoubleColonne(grid As MSHFlexGrid, lngIndex As Long, strTitre As String)
    
    Dim lngRow As Long

    grid.Cols = grid.Cols + 2&
    grid.TextMatrix(0&, grid.Cols - 2&) = strTitre
    grid.TextMatrix(0&, grid.Cols - 1&) = CStr(lngIndex)
    grid.ColWidth(grid.Cols - 1&) = 0&
    
    For lngRow = 1& To grid.Rows - 1
        grid.TextMatrix(lngRow, grid.Cols - 2&) = "0"
        grid.TextMatrix(lngRow, grid.Cols - 1&) = CStr(stCancel)
    Next lngRow
End Sub

