Attribute VB_Name = "modMenu"
Option Explicit
Private mglngNoEtude As Long
Property Get glngNoEtude() As Long
   glngNoEtude = mglngNoEtude
End Property
Property Let glngNoEtude(ByVal NewNoEtude As Long)
   If (NewNoEtude > 0&) Then
        mglngNoEtude = NewNoEtude
        ' Insertion dans la liste des dernire tude consulte...
        ChangerNomEtude NewNoEtude
   End If
End Property

Public Sub ChangerNomEtude(lngNoEtude As Long)
        MDIfrmEtude.Caption = "tude #" & CStr(lngNoEtude)
End Sub
Public Sub OuvrirEtude(lngNoEtude As Long)
    ChargerEtude lngNoEtude
    
    Load frmEtude
    frmEtude.bolNouvelle = False
    frmEtude.lblFin.visible = True
    frmEtude.ccrpDtpFin.visible = True
    frmEtude.lblCompletee.visible = True
    frmEtude.ccrpDtpCompletee.visible = True
    frmEtude.lblOk.Caption = "Ok"
    
    frmEtude.ChargerInfo
    frmEtude.bolChange = False
    frmEtude.Show
End Sub
Public Sub OuvrirNouvelleEtude()
    Load frmEtude
    frmEtude.bolNouvelle = True
    frmEtude.lblFin.visible = False
    frmEtude.ccrpDtpFin.visible = False
    frmEtude.lblCompletee.visible = False
    frmEtude.ccrpDtpCompletee.visible = False
    frmEtude.lblEnCours.visible = False
    frmEtude.picEnCours.visible = False
    
    frmEtude.lblOk.Caption = "Crer"
    
    frmEtude.Show vbModal
End Sub

Public Sub OuvrirMenuArchive()
    ' FormOpen frmArchive
    ' FormOpen frmProtocole
    ' FormOpen sfrmModePaiementSujet
    ' FormOpen sfrmModePaiementInfirmiere
    ' FormOpen sfrmModePaiementIntervenant
    ' FormOpen sfrmFraisRecrutement
    ' FormOpen sfrmFrais
    ' FormOpen sfrmFraisIntervenant
    ' FormOpen sfrmModePaiementRecrutement
    ' FormOpen frmRecette
    ' FormOpen frmAjouterInfirm
    FormOpen frmAjouterInter
    
End Sub
Public Sub OuvrirListeDebourse()
    FormOpen frmDebourseLst
End Sub
Public Sub OuvrirListeRecette()
    FormOpen frmRecetteLst
End Sub
Public Sub OuvrirMenuImpression()
    FormOpen frmImpression, vbModal
End Sub

Public Function ChargerEtude(lngNoEtude As Long) As ReturnValue
    glngNoEtude = lngNoEtude
    ShowMnuEtude True
    ShowMnuGlobal False
    
'    frmEtude.Show vbModal
    ChargerEtude = AjouterEtudeRecente(lngNoEtude)
End Function

Private Function AjouterEtudeRecente(lngNoEtude As Long) As ReturnValue
    Dim rvReturn As ReturnValue
    Dim cncConn As New ADODB.Connection
    Dim rstEtudes As New ADODB.Recordset
    Dim rstInsert As ADODB.Recordset
    
    cncConn.Open gstrConOpen
    If cncConn.State = 0 Then
        rvReturn = RV_ERR_DBOPEN
    Else
        rstEtudes.Open "SELECT noEtude, dtmOuvertEtudesOvt FROM tblEtudesOvts WHERE noEtude = " & lngNoEtude, cncConn, , adLockOptimistic
        If rstEtudes.State = 0 Then
            rvReturn = RV_ERR_DBQUERY
        Else
            If (rstEtudes.EOF()) Then
                Set rstInsert = cncConn.Execute("INSERT INTO tblEtudesOvts (noEtude, dtmOuvertEtudesOvt) " & _
                                                " VALUES (" & lngNoEtude & ", '" & Now() & "')")
                If rstInsert.State = 0 Then
                    rvReturn = RV_ERR_DBQUERY
                Else
                    rvReturn = RV_OK
                    rstInsert.Close
                    Set rstInsert = Nothing
                End If
            Else
                rstEtudes.Fields("dtmOuvertEtudesOvt") = Now()
                rstEtudes.Update
            End If
            rvReturn = RV_OK
            rstEtudes.Close
            Set rstEtudes = Nothing
        End If
        cncConn.Close
    End If
    Set cncConn = Nothing
    
    AjouterEtudeRecente = rvReturn
End Function


Public Sub RechercherEtude()
    FormOpen frmRecherche, vbModal
End Sub

Public Sub ShowMnuGlobal(bolVisible As Boolean)
  With MDIfrmEtude
    .mnuEtNouvelle.visible = bolVisible
    .mnuEtOuvrir.visible = bolVisible
    .mnuEtMenu.visible = bolVisible
    .mnuEtSep1.visible = bolVisible

    .mnuChRecetteLst.visible = bolVisible
'    If (bolVisible = False) Then .mnuChDebourse.Visible = True
    .mnuChDebourseLst.visible = bolVisible
    
'    If (bolVisible = False) Then .mnuOImprimerEtude.Visible = True
    .mnuOImprimer.visible = bolVisible
    .mnuOArchivage.visible = bolVisible
    .mnuOAdmin.visible = bolVisible
  End With
End Sub
    
Public Sub ShowMnuEtude(bolVisible As Boolean)
  With MDIfrmEtude
  
    .mnuEtEnregistrer.visible = bolVisible
    .mnuEtPropriete.visible = bolVisible
    .mnuEtResume.visible = bolVisible
    .mnuEtFermer.visible = bolVisible
    .mnuEtSep2.visible = bolVisible

    .mnuComptable.visible = bolVisible
  
    .mnuChRecette.visible = bolVisible
    .mnuChDebourse.visible = bolVisible
  
    .mnuOImprimerEtude.visible = bolVisible
  End With
End Sub

